Package org.eclipse.lemminx.extensions.contentmodel.participants.codeactions

## Class TargetNamespace_2CodeAction

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.TargetNamespace_2CodeAction

All Implemented Interfaces:
  `ICodeActionParticipant`

    public class TargetNamespace_2CodeAction
    extends Object
    implements ICodeActionParticipant

Code action to add the missing xmlns declaration to the root element in an .xml document. Finds the namespace of the referenced .xsd. Adds the xmlns attribute to the root of .xml, and sets its value to the .xsd namespace.

### Constructor Summary

Constructors
`TargetNamespace_2CodeAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doCodeAction​(ICodeActionRequest request, List<org.eclipse.lsp4j.CodeAction> codeActions, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Collect the code action in the given `codeActions` for the given code action request `request`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.codeaction.ICodeActionParticipant

`doCodeActionUnconditional, getResolveCodeActionParticipant`

### Constructor Detail

#### TargetNamespace_2CodeAction

    public TargetNamespace_2CodeAction()

### Method Detail

#### doCodeAction

    public void doCodeAction​(ICodeActionRequest request,
                             List<org.eclipse.lsp4j.CodeAction> codeActions,
                             org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `ICodeActionParticipant`
Collect the code action in the given `codeActions` for the given code action request `request`.

Specified by:
  `doCodeAction` in interface `ICodeActionParticipant`
Parameters:
  `request` - the code action request.
  `codeActions` - list of code actions to fill.
  `cancelChecker` - the cancel checker.